bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: ACL related test-copy-file failure


From: Bruno Haible
Subject: Re: ACL related test-copy-file failure
Date: Wed, 14 Jan 2009 00:13:14 +0100
User-agent: KMail/1.9.9

Jim,

> > What kind of file system are /tmp and $TMPDIR mounted on?
> 
> /tmp is ext3, $TMPDIR is tmpfs

Thanks for the info. This fixes the test failure.


2009-01-13  Bruno Haible  <address@hidden>

        Avoid test-copy-file.sh failures when ACL support insufficient.
        * modules/copy-file-tests (Makefile.am): Pass USE_ACL in
        TESTS_ENVIRONMENT.
        * tests/test-copy-file.sh: Skip the ACL comparisons if USE_ACL is 0.
        Reported by Jim Meyering.

--- modules/copy-file-tests.orig        2009-01-14 00:09:42.000000000 +0100
+++ modules/copy-file-tests     2009-01-14 00:04:04.000000000 +0100
@@ -13,6 +13,6 @@
 
 Makefile.am:
 TESTS += test-copy-file.sh
-TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@'
+TESTS_ENVIRONMENT += EXEEXT='@EXEEXT@' USE_ACL=$(USE_ACL)
 check_PROGRAMS += test-copy-file
 test_copy_file_LDADD = $(LDADD) $(LIB_ACL) @LIBINTL@
--- tests/test-copy-file.sh.orig        2009-01-14 00:09:42.000000000 +0100
+++ tests/test-copy-file.sh     2009-01-14 00:06:46.000000000 +0100
@@ -172,13 +172,15 @@
   func_test_copy ()
   {
     "$builddir"/test-copy-file${EXEEXT} "$1" "$2" || exit 1
-    "$builddir"/test-sameacls${EXEEXT}  "$1" "$2" || exit 1
-    func_test_same_acls                 "$1" "$2" || exit 1
+    if test "$USE_ACL" != 0; then
+      "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
+      func_test_same_acls                "$1" "$2" || exit 1
+    fi
   }
 
   func_test_copy tmpfile0 tmpfile1
 
-  if test $acl_flavor != none; then
+  if test "$USE_ACL" != 0 && test $acl_flavor != none; then
     # Use a user and group id different from the current one, to avoid
     # redundant/ambiguous ACLs.
     myuid=`id -u`




reply via email to

[Prev in Thread] Current Thread [Next in Thread]